### Virtual Method

# Ide BufferAddin save_file

#### Declaration

    void
    save_file (
      IdeBufferAddin* self,
      IdeBuffer* buffer,
      GFile* file
    )

#### Description

This function gives a chance for plugins to modify the buffer right before writing to disk.

Available since: | 3.32

#### Parameters

`buffer` | `IdeBuffer`
| An `IdeBuffer`.
| The data is owned by the caller of the function.
`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.